Name:           cotp
Version:        1.9.6
Release:        1%{?dist}
Summary:        Console-based OTP generator written in Rust

License:        GPL-3.0-only
URL:            https://github.com/replydev/cotp
Source0:        https://github.com/replydev/cotp/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  rust
BuildRequires:  python3
BuildRequires:  python3-pytest
BuildRequires:  python3-requests
BuildRequires:  python3-attrs
BuildRequires:  python3-pluggy
BuildRequires:  python3-packaging
BuildRequires:  python3-pyparsing
BuildRequires:  python3-toml
BuildRequires:  python3-wrapt
BuildRequires:  python3-six
BuildRequires:  libX11-devel

Requires:       python3
Requires:       python3-requests

%description
Trustworthy, encrypted, command-line TOTP/HOTP authenticator app with import functionality.

Note: Unofficial build. Maintained personally, may lag behind upstream.

%package converters
Summary:        Python scripts for converting authentication app databases to COTP format
Requires:       cotp
Requires:       python3

%description converters
This package provides Python scripts to migrate OTP codes from other authenticator apps
into COTP-compatible format.

%prep
%autosetup -n cotp-%{version}

%build
cargo build --release

%install
install -Dm0755 target/release/cotp %{buildroot}%{_bindir}/cotp

# Install em to /usr/share/cotp/converters
if [ -d "converters" ]; then
    install -Dm0644 -t %{buildroot}%{_datadir}/cotp/converters converters/*
fi

%check
pytest || :  # Run tests, but allow failure

%files
%{_bindir}/cotp

%files converters
%dir %{_datadir}/cotp/converters
%{_datadir}/cotp/converters/*

%changelog
* Wed June 4 2025 - 1.9.6-1
- Upgraded to 1.9.6
- Upstream changelog: https://github.com/replydev/cotp/releases/tag/v1.9.6
